#include <array>
#include "canvas/Canvas.hpp"
#include "DnaStore.hpp"
class App
{

public:
  App() = default;
  ~App() = default;
  void init(int screenWidth, int screenHeight);
  void update();
  void draw();
  void deinit();

private:
  void upTex(Liked liked);

  int screenWidth, screenHeight;
  Canvas canvas;

  int pos = 0;
  std::array<RenderTexture2D, 2> canvasTexure = {0};

  float rotation = 0.0f;
  Vector2 mouseStart;
  bool validHit = false;
  float len;
  float ofset;

  Liked topLiked = Liked::tbd;

  Rectangle destA;
  Rectangle destB;
  Rectangle likeBox;
  Rectangle disLikeBox;

  std::array<UiUnit, 2> unit = {0};

  DnaManagerData manager;

  Rectangle likedTextBox;
  Rectangle genTextBox;
};
